Bug 1551256 - generated .taskrc file contains duplicate datadir in include path
Summary: generated .taskrc file contains duplicate datadir in include path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: task
Version: 27
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Federico Hernandez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-04 02:01 UTC by Jim Perrin
Modified: 2018-12-10 23:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:29:10 UTC


Attachments (Terms of Use)

Description Jim Perrin 2018-03-04 02:01:42 UTC
Description of problem:
The .taskrc created by first run contains incorrect include paths with an additional /usr/

Version-Release number of selected component (if applicable):
task-2.5.1-6.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. dnf install task
2. run task and allow it to create a default .taskrc
3. vim ~/.taskrc

Actual results:
generated .taskrc contain improper include locations such as:

#include /usr//usr/share/task/light-16.theme
#include /usr//usr/share/task/light-256.theme
#include /usr//usr/share/task/dark-16.theme
#include /usr//usr/share/task/dark-256.theme
#include /usr//usr/share/task/dark-red-256.theme


Expected results:
the .taskrc should contain valid paths without duplicate /usr/ entries. 

Additional info:

Comment 1 Emanuele Di Giacomo 2018-10-02 16:29:10 UTC
In the spec file, the variable TASK_RCDIR should be set to share/task instead of %{_datadir}/%{name}:

--- task.spec.orig      2018-10-02 18:12:26.899651828 +0200
+++ task.spec   2018-10-02 18:12:39.531462500 +0200
@@ -28,7 +28,7 @@
 
 %build
 pushd %{_target_platform}
-  %cmake .. -DTASK_RCDIR=%{_datadir}/%{name}
+  %cmake .. -DTASK_RCDIR=share/task
 popd
 %make_build -C %{_target_platform}

Comment 2 Ben Cotton 2018-11-27 14:11:10 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora Update System 2018-11-28 10:19:21 UTC
task-2.5.1-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-df5596a68f

Comment 4 Fedora Update System 2018-11-28 10:19:27 UTC
task-2.5.1-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-154650c985

Comment 5 Fedora Update System 2018-11-29 02:03:03 UTC
task-2.5.1-10.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-df5596a68f

Comment 6 Fedora Update System 2018-11-29 03:18:00 UTC
task-2.5.1-10.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-154650c985

Comment 7 Ben Cotton 2018-11-30 17:29:10 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.